textures/glass/dkglass
{
	qer_editorimage textures/glass/dkglass.tga
	surfaceparm trans
	{
		map textures/glass/dkglass.tga
		blendfunc add
	}
}


textures/liquids/greenpool
{
	qer_editorimage textures/liquids/greenpool.tga
	surfaceparm noimpact
	surfaceparm water
	cull disable
	deformVertexes bulge 128 10 2
	q3map_lightsubdivide 128
	q3map_globaltexture
	{
		map textures/liquids/greenpool.tga
		blendfunc add
		tcMod turb 0 2 0.1 0.1
	}
}


// from quake 3
textures/liquids/merc
{
	qer_editorimage textures/liquids/merc.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull disable
	//deformVertexes wave 100 sin 3 2 0.1 0.1 
	q3map_lightsubdivide 32
	q3map_surfacelight 700
	tessSize 48
	deformVertexes normal .15 1 
	deformVertexes bulge 128 4 1
	{
		map textures/liquids/merc.tga
		//tcMod turb 0 0.2 0 0.1
		tcgen environment
		blendfunc filter
	}
}

// from quake 3
textures/fog/fog1
{
	qer_editorimage textures/glass/fog1.tga
	surfaceparm fog
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm trans
	cull disable
	deformVertexes wave 100 sin 3 2 0.1 0.1 
	qer_trans 0.45
	q3map_lightsubdivide 8
	q3map_surfacelight 10
	q3map_globaltexture
	fogparms ( 0.992157 1 1 ) 2000
	{
		map textures/glass/fog1.tga
		blendfunc filter
	}
}


// from quake 3

textures/liquids/flatlavahell_1500
{
	// Added to g3map_global texture on May 11, 1999
	qer_editorimage textures/liquids/lavahell.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	//surfaceparm trans
	//surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 1500
	cull disable
	
//	tesssize 128
//	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	
	{
		map textures/liquids/lavahell.tga
		tcMod turb 0 .2 0 .1
	}
       
}




textures/glass/purpglass
{
	qer_editorimage textures/glass/purpglass.tga
	surfaceparm nolightmap
	{
		map textures/glass/purpglass.tga
		blendfunc add
	}
}


textures/glass/whglass
{
	qer_editorimage textures/glass/whglass.tga
	surfaceparm trans
	{
		map textures/glass/whglass.tga
		blendfunc filter
	}
	{
		map textures/effects/tunnfx.jpg
		//map textures/effects/tinfx.tga
		tcGen environment
		blendfunc filter
	}
}

textures/common/camerafx

{
	qer_editorimage textures/common/portal.jgp
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	deformVertexes wave 100 sin 0 2 0 0.5
	portal	
	{
		map textures/common/mirror1.tga
		blendfunc gl_one gl_one_minus_src_alpha
		alphaGen portal 1600
		depthWrite
	}
}


textures/liquids/toxicpool
{
	qer_editorimage textures/liquids/pool3d_5egreen.tga
	surfaceparm noimpact
	cull disable
	deformVertexes bulge 128 10 2
	q3map_lightsubdivide 128
	q3map_globaltexture
	{
		map textures/liquids/pool3d_5egreen.tga
		blendfunc add
		//tcMod turb 0 2 0.1 0.1
		tcMod turb 0 .2 0 .1
	}
}

textures/liquids/icecanwater
{
	qer_editorimage textures/liquids/lox.jpg
	surfaceparm noimpact
	cull disable
	deformVertexes normal .10 1 
	deformVertexes bulge 128 4 2
	tessSize 48
	{
		map textures/liquids/lox.jpg
		blendfunc filter
		tcGen environment
		//tcMod turb 0 .2 0 .1
	}
}		
	
textures/glass/iceglass
{
	qer_editorimage textures/glass/whglass.tga
	surfaceparm trans
	surfaceparm slick
	{
		map textures/glass/whglass.tga
		blendfunc add
	}
	{
		map textures/effects/icecaneffect.jpg
		//map textures/effects/tinfx.tga
		tcGen environment
		blendfunc filter
	}
}

textures/lizzjumps/blacknolight

{
	qer_editorimage textures/lizzjumps/blackness.jpg
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm noimpact
	{
		map textures/lizzjumps/blackness.jpg
	}
}
